<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: RotationMatrix Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_rotation_matrix.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_rotation_matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RotationMatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the rotation matrix of geometric object.  
 <a href="class_rotation_matrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rotation_matrix_8hh_source.html">rotationMatrix.hh</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for RotationMatrix:</div>
<div class="dyncontent">
<div class="center"><img src="class_rotation_matrix__coll__graph.png" border="0" usemap="#_rotation_matrix_coll__map" alt="Collaboration graph"/></div>
<map name="_rotation_matrix_coll__map" id="_rotation_matrix_coll__map">
<area shape="rect" title="Models the concept of the rotation matrix of geometric object." alt="" coords="23,184,142,211"/>
<area shape="rect" href="class_matrix.html" title=" " alt="" coords="5,95,160,121"/>
<area shape="rect" href="class_matrix.html" title="Szablon dla klasy Matrix." alt="" coords="13,5,152,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a219ed4eb9e048a1b20b0ac9989907228"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix</a> (const double &amp;angle)</td></tr>
<tr class="memdesc:a219ed4eb9e048a1b20b0ac9989907228"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_rotation_matrix.html" title="Models the concept of the rotation matrix of geometric object.">RotationMatrix</a> class.  <a href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">More...</a><br /></td></tr>
<tr class="separator:a219ed4eb9e048a1b20b0ac9989907228"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055c158bb29cdb01f7160cda15dd5fbf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rotation_matrix.html#a055c158bb29cdb01f7160cda15dd5fbf">RotationMatrix</a> (const double &amp;angle, const double &amp;frames)</td></tr>
<tr class="memdesc:a055c158bb29cdb01f7160cda15dd5fbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_rotation_matrix.html" title="Models the concept of the rotation matrix of geometric object.">RotationMatrix</a> class.  <a href="class_rotation_matrix.html#a055c158bb29cdb01f7160cda15dd5fbf">More...</a><br /></td></tr>
<tr class="separator:a055c158bb29cdb01f7160cda15dd5fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a117715aa3a66d96a6090a308c94f3b9f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">operator*</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;vector) const</td></tr>
<tr class="memdesc:a117715aa3a66d96a6090a308c94f3b9f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a> multiplication by a vector.  <a href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">More...</a><br /></td></tr>
<tr class="separator:a117715aa3a66d96a6090a308c94f3b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae458309f776bc461c658027acd17d009"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_matrix.html">Matrix</a>&lt; double, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a></td></tr>
<tr class="memdesc:ae458309f776bc461c658027acd17d009"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing the rotation matrix.  <a href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">More...</a><br /></td></tr>
<tr class="separator:ae458309f776bc461c658027acd17d009"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="rotation_matrix_8hh_source.html#l00009">9</a> of file <a class="el" href="rotation_matrix_8hh_source.html">rotationMatrix.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a219ed4eb9e048a1b20b0ac9989907228"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a219ed4eb9e048a1b20b0ac9989907228">&#9670;&nbsp;</a></span>RotationMatrix() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RotationMatrix::RotationMatrix </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize matrix with values need in rotation in OZ axis. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angle</td><td>- value of the geometric object's rotation angle </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="rotation_matrix_8cpp_source.html#l00005">5</a> of file <a class="el" href="rotation_matrix_8cpp_source.html">rotationMatrix.cpp</a>.</p>

</div>
</div>
<a id="a055c158bb29cdb01f7160cda15dd5fbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a055c158bb29cdb01f7160cda15dd5fbf">&#9670;&nbsp;</a></span>RotationMatrix() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RotationMatrix::RotationMatrix </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>frames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize matrix with values need in rotation in OX axis. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angle</td><td>- value of the geometric object's rotation angle, </td></tr>
    <tr><td class="paramname">frames</td><td>- number of frames needed in the animation. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="rotation_matrix_8cpp_source.html#l00019">19</a> of file <a class="el" href="rotation_matrix_8cpp_source.html">rotationMatrix.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a117715aa3a66d96a6090a308c94f3b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a117715aa3a66d96a6090a308c94f3b9f">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> RotationMatrix::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Overloading of the multiplication operator for multiplying the rotation matrix by a coordinate vector. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>- coordinate vector. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>result - result of multiplying. </dd></dl>

<p class="definition">Definition at line <a class="el" href="rotation_matrix_8cpp_source.html#l00033">33</a> of file <a class="el" href="rotation_matrix_8cpp_source.html">rotationMatrix.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae458309f776bc461c658027acd17d009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae458309f776bc461c658027acd17d009">&#9670;&nbsp;</a></span>rotationMatrix_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_matrix.html">Matrix</a>&lt;double, 3&gt; RotationMatrix::rotationMatrix_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="rotation_matrix_8hh_source.html#l00013">13</a> of file <a class="el" href="rotation_matrix_8hh_source.html">rotationMatrix.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="rotation_matrix_8hh_source.html">rotationMatrix.hh</a></li>
<li><a class="el" href="rotation_matrix_8cpp_source.html">rotationMatrix.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_rotation_matrix.html">RotationMatrix</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
